#ifndef PARSER_H_
#define PARSER_H_

#include "nspr.h"
#include "nspr-additions.h"

/* XXX this should possibly be changed */
#define CONFIGFILE "renderd.config"

typedef struct ConfigInfoType ConfigInfo;
struct ConfigInfoType {
	LONGINT  minBlendFileSize;
	LONGINT  maxBlendFileSize;

	char *renderdBlendFileName;
	char *blenderexe;
	char *brokertasks;
	char *brokerdone;
	char *brokerwork;
	
	int scansubnet;
	char *brokerip;
	int renderdPort;
	int brokerPort;

	int minPort;
	int maxPort;
	int debug;
};

ConfigInfo *parse_config(void);

#endif 

