/* renderd.h */

#ifndef RENDERD_H_
#define RENDERD_H_

char BLENDEREXE[MAXLINE];
int debug;

char version[] = "0.44";

struct InfoType Info[MAXTHREADS];
PRLock *InfoMutex;
struct mainThreadType mainThread;
PRLock *mainThreadMutex;

// global because stopdaemon needs it
PRFileDesc *listenSock;
int StopDaemon = FALSE;

//some thread synchronisation
int blendFileNumber=0;

// to store the configuration information
ConfigInfo *configInfo;

struct twoports port;
void PR_CALLBACK renderd_thread(void *);
void print_help();
void showhelp(PRFileDesc *sockfd, char *linep);
void showstatus(PRFileDesc *sockfd);
void showconfig(PRFileDesc *sockfd);
void stopdaemon(PRFileDesc *sockfd);
void accept_blenderfile(PRFileDesc *sockfd, char *linep, char *blendFileName);
void singleshotrender(struct threadArgsType *args, char *linep, char *blendFileName);

#endif