/* compat.h
 * Copyright (c) 2000 by Not a Number B.V. (NaN) and Hans Lambermont.
 * This file is covered by the license in the accompanying "LICENSE" file.
 * $Id: compat.h 30 2004-04-16 18:36:10Z goofster $
 */

/* The infamous concentrated uglyness file */
#ifndef COMPAT_H
#define COMPAT_H

#ifdef WIN32
#define ssize_t int
#endif

#ifdef WIN32
#define Bpopen _popen
#define Bpclose _pclose
#define Bstrncasecmp _strnicmp
#else
#define Bpopen popen
#define Bpclose pclose
#define Bstrncasecmp strncasecmp
#endif

#endif
